export declare type Unpack<T> = T extends (infer U)[] ? U : T;
export declare type PlainObject<T = unknown> = Record<string, T>;
export declare type PlainFunction<P = any, R = any> = (...args: P[]) => R;
export declare type Mutable<T> = {
    -readonly [P in keyof T]: T[P];
};
export declare type Font = CSSStyleDeclaration | FontProperties | string;
export interface FontProperties {
    fontFamily: string;
    fontSize: number;
    fontStretch?: string;
    fontStyle?: string;
    fontVariant?: string;
    fontWeight?: number | string;
    lineHeight?: number;
}
